# List message sender cc listener assignments

Endpoint: GET /messagesenders/CCListenerAssignments
Version: 1.0.457.36910
Security: OAuth2

## Security:

  - `OAuth2` (unknown)
    oauth2 scopes: FullAccess, MessageConfigAssignmentAdmin, MessageSenderAdmin

## Query parameters:

  - `search` (string)
    Word or phrase to search for.

  - `searchOn` (array)
    Comma-delimited list of fields to search on.

  - `sortBy` (array)
    Comma-delimited list of fields to sort by.

  - `page` (integer)
    Page of results to return. When paginating through many items (> page 30), we recommend the "Last ID" method, as outlined in the Advanced Querying documentation.

  - `pageSize` (integer)
    Number of results to return per page.

  - `filters` (object)
    An object or dictionary representing key/value pairs to apply as filters. Valid keys are top-level properties of the returned model or 'xp.???'

## Response 200 fields (application/json):

  - `Items` (array)

  - `Items.MessageSenderAssignment` (object)
    Example: {"MessageSenderID":"","BuyerID":"","SupplierID":"","UserGroupID":"","MessageConfigName":"","MessageConfigDescription":""}

  - `Items.MessageSenderAssignment.MessageSenderID` (string)

  - `Items.MessageSenderAssignment.BuyerID` (string)

  - `Items.MessageSenderAssignment.SupplierID` (string)

  - `Items.MessageSenderAssignment.UserGroupID` (string)

  - `Items.MessageSenderAssignment.MessageConfigName` (string)

  - `Items.MessageSenderAssignment.MessageConfigDescription` (string)

  - `Items.MessageConfigName` (string)

  - `Items.MessageConfigDescription` (string)

  - `Items.MessageType` (string)
    Enum: "OrderDeclined", "OrderSubmitted", "ShipmentCreated", "ForgottenPassword", "ForgottenUsername", "OrderSubmittedForYourApproval", "OrderSubmittedForApproval", "OrderApproved", "OrderSubmittedForYourApprovalHasBeenApproved", "OrderSubmittedForYourApprovalHasBeenDeclined", "NewUserInvitation", "OrderReturnDeclined", "OrderReturnSubmitted", "OrderReturnSubmittedForYourApproval", "OrderReturnSubmittedForApproval", "OrderReturnApproved", "OrderReturnSubmittedForYourApprovalHasBeenApproved", "OrderReturnSubmittedForYourApprovalHasBeenDeclined", "OrderReturnCompleted", "SubscriptionReminder", "ProductCollectionInvitationAccepted", "ProductCollectionInvitationDeclined", "OneTimePassword"

  - `Items.BuyerID` (string)

  - `Items.SupplierID` (string)

  - `Items.UserGroupID` (string)

  - `Items.UserID` (string)

  - `Meta` (object)

  - `Meta.Page` (integer)

  - `Meta.PageSize` (integer)

  - `Meta.TotalCount` (integer)

  - `Meta.TotalPages` (integer)

  - `Meta.ItemRange` (array)

  - `Meta.NextPageKey` (string)

## Response 4XX:

  - `4XX` (unknown)
    Expected errors range from 400-409. Anything in the 5XX range indicates a server issue and should be reported to support.

## Response 4XX fields (application/json):

  - `StatusCode` (integer)
    Example: 404

  - `ErrorCode` (string)
    Example: NotFoundError

  - `Message` (string)
    Example: Object not found

  - `Data` (object)
    Example: {"ObjectType":"","ObjectID":""}

